package org.colinvella.fancyfish.item;

import org.colinvella.fancyfish.creativetab.ModCreativeTabs;
import org.colinvella.fancyfish.item.ModItem;

import net.minecraft.creativetab.CreativeTabs;

public class FishScaleItem extends ModItem
{
	public enum Colour
	{
		Red(350),
		Orange(30),
		Yellow(55),
		Green(100),
		Blue(220),
		Indigo(260),
		Violet(290),
		Black(0.1f),
		White(1.0f),
		Silver(0.5f);
		
		Colour(int hue)
		{
			hue = hue % 360;
			float x = 1 - Math.abs((hue / 60.0f) % 2 - 1);
			
			if (hue < 60)
			{
				red = 1; green = x; blue = 0;
			}
			else if (hue < 120)
			{
				red = x; green = 1; blue = 0;
			}
			else if (hue < 180)
			{
				red = 0; green = 1; blue = x;
			}
			else if (hue < 240)
			{
				red = 0; green = x; blue = 1;
			}
			else if (hue < 300)
			{
				red = x; green = 0; blue = 1;
			}
			else 
			{
				red = 1; green = 0; blue = x;
			}
		}
		
		Colour(float intensity)
		{
			intensity = Math.max(0, Math.min(1, intensity));
			red = green = blue = intensity;
		}
		
		public final float red;
		public final float green;
		public final float blue;
	}
	
	public FishScaleItem(Colour colour)
	{
		super(makeId(colour), 64, ModCreativeTabs.FancyFishTab);
		this.colour = colour;
	}
	
	public Colour getColour()
	{
		return this.colour;
	}
	
	public static String makeId(Colour colour)
	{
		return "FishScale" + colour;
	}
	
	private Colour colour;
}
