package org.colinvella.fancyfish.recipe;

import java.util.HashMap;
import java.util.Map;

import org.colinvella.fancyfish.item.FishBowlItem;
import org.colinvella.fancyfish.item.FishScaleItem;
import org.colinvella.fancyfish.item.ModItemRegistry;
import org.colinvella.fancyfish.item.NettingItem;
import org.colinvella.fancyfish.item.FishScaleItem.Colour;
import org.colinvella.fancyfish.item.combat.FishScaleArmorItem;
import org.colinvella.fancyfish.item.combat.FishScaleSwordItem;

import net.minecraft.init.Blocks;
import net.minecraft.init.Items;
import net.minecraft.item.Item;
import net.minecraft.item.ItemStack;

public class FishScaleLeggingsRecipe extends ShapedRecipe
{
	public static final String ID = "FishScaleLeggings";
	
	public FishScaleLeggingsRecipe()
	{
		super(
			ID,
			new ItemStack(ModItemRegistry.FishScaleLeggings),
			new String[] {"OOO", "O O", "O O"},
			buildLegend());
	}
		
	private static Map<Character, ItemStack> buildLegend()
	{
		Map<Character,Item> legend = new HashMap<Character, Item>();
		legend.put('O', ModItemRegistry.OrangeFishScale);
		return ShapedRecipe.MakeStackLegend(legend);
	}
}
