package org.colinvella.fancyfish.tileentity.model;

import org.colinvella.fancyfish.FancyFishMod;

import net.minecraft.client.model.ModelBase;
import net.minecraft.client.model.ModelRenderer;
import net.minecraft.client.renderer.GlStateManager;
import net.minecraft.entity.Entity;
import net.minecraft.util.MathHelper;
import net.minecraft.util.ResourceLocation;
import net.minecraftforge.fml.relauncher.Side;
import net.minecraftforge.fml.relauncher.SideOnly;

@SideOnly(Side.CLIENT)
public class TeleportGlowModel extends ModelBase
{
    public TeleportGlowModel()
    {
	    textureWidth = 16;
	    textureHeight = 16;
	    
	    body = new ModelRenderer(this, 0, 0);
	    body.addBox( 0,  0,  0, 16, 16,  0);
	    body.addBox( 0,  0, 16, 16, 16,  0);
	    body.addBox( 0,  0,  0,  0, 16, 16);
	    body.addBox(16,  0,  0,  0, 16, 16);
	    body.setRotationPoint(0F, 0F, 0F);
	    body.setTextureSize(textureWidth, textureHeight);
	    body.mirror = true;
	    setRotation(body, 0F, 0F, 0F);

	    //setRotation(tail, 0F, 0F, 0F);		
	}

    /**
     * Sets the models various rotation angles then renders the model.
     */
    @Override
    public void render(Entity entity, float time, float limbSwingDistance, float unknown, float headYRotation, float headXRotation, float yTranslation)
    {
	    body.render(yTranslation);
    }

    
	private void setRotation(ModelRenderer model, float rotateAngleX, float rotateAngleY, float rotateAngleZ)
	{
		model.rotateAngleX = rotateAngleX;
	    model.rotateAngleY = rotateAngleY;
	    model.rotateAngleZ = rotateAngleZ;
    }
    
	// model components
	private ModelRenderer body;
	
	private static final float degToRad =  (float)Math.PI / 180.0f;
}